## org.apache.lucene.store.db
Class Block

    java.lang.Object
      org.apache.lucene.store.db.Block

    public class Block

extends java.lang.Object

Field Summary
`protected DatabaseEntry` `data`
`protected DatabaseEntry` `key`

Constructor Summary
`protected` `Block(File file)`

Method Summary
`protected void` `get(DbDirectory directory)`
`protected byte[]` `getData()`
`protected byte[]` `getKey()`
`protected void` `put(DbDirectory directory)`
`protected void` `seek(long position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    protected DatabaseEntry key

### data

    protected DatabaseEntry data

Constructor Detail

### Block

    protected Block(File file)
             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getKey

    protected byte[] getKey()

### getData

    protected byte[] getData()

### seek

    protected void seek(long position)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### get

    protected void get(DbDirectory directory)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### put

    protected void put(DbDirectory directory)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.